---
title: Activate an Experiment
description: Transition an experiment from draft or paused to running.
url: https://storyblok.com/docs/api/management/experiments/activate-an-experiment
---

# Activate an Experiment

Activate an experiment. This transitions a `draft` or `paused` experiment to `running`. The experiment must have at least two variants, and the sum of all variant weights must equal `100`. You must publish all stories and their variants before activating the experiment.

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/activate
```

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space.
    
-   `:experiment_id` (required) (number)
    
    Numeric ID of the experiment.
    

## Query parameters

-   `end_date` (string)
    
    Optional planned end date for the experiment in ISO 8601 format (`YYYY-MM-DD`). Must be in the future.
    

## Response properties

-   `experiment` (The Experiment Object)
    
    The activated [experiment object](/docs/api/management/experiments/the-experiment-object).
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/activate\
    ?end_date=2026-08-20" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/experiments/176070002766742/activate?end_date=2026-08-20', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = [];
    
    $client->put('spaces/288868932106293/experiments/176070002766742/activate?end_date=2026-08-20', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/activate?end_date=2026-08-20")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/activate?end_date=2026-08-20");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/activate"
    
    querystring = {"end_date":"2026-08-20"}
    
    payload = {}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {}
    
    client.put('spaces/288868932106293/experiments/176070002766742/activate', {:params => {
      "end_date" => "2026-08-20"
    }}, payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/experiments/176070002766742/activate")
    request.url!.append(queryItems: [
        URLQueryItem(name: "end_date", value: "2026-08-20")
    ])
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [ ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/experiments/176070002766742/activate") {
        url {
            parameters.append("end_date", "2026-08-20")
        }
        setBody(buildJsonObject { })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Experiments](/docs/api/management/experiments)
-   [Next: Complete an Experiment](/docs/api/management/experiments/complete-an-experiment)
